OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.APPLE.ObjectPurgeable

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAPPLEObjectPurgeable :: MonadIO m => m Bool
- gl_APPLE_object_purgeable :: Bool
- gl_BUFFER_OBJECT_APPLE :: GLenum
- gl_PURGEABLE_APPLE :: GLenum
- gl_RELEASED_APPLE :: GLenum
- gl_RETAINED_APPLE :: GLenum
- gl_UNDEFINED_APPLE :: GLenum
- gl_VOLATILE_APPLE :: GLenum
- glGetObjectParameterivAPPLE :: MonadIO m => GLenum -> GLuint -> GLenum -> Ptr GLint -> m ()
- glObjectPurgeableAPPLE :: MonadIO m => GLenum -> GLuint -> GLenum -> m GLenum
- glObjectUnpurgeableAPPLE :: MonadIO m => GLenum -> GLuint -> GLenum -> m GLenum

# Extension Support

glGetAPPLEObjectPurgeable :: MonadIO m => m Bool

Is the APPLE_object_purgeable extension supported?

gl_APPLE_object_purgeable :: Bool

Is the APPLE_object_purgeable extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLEObjectPurgeable` in those cases instead.

# Enums

gl_BUFFER_OBJECT_APPLE :: GLenum

gl_PURGEABLE_APPLE :: GLenum

gl_RELEASED_APPLE :: GLenum

gl_RETAINED_APPLE :: GLenum

gl_UNDEFINED_APPLE :: GLenum

gl_VOLATILE_APPLE :: GLenum

# Functions

glGetObjectParameterivAPPLE

Arguments

:: MonadIO m |
=> GLenum | `objectType`.
-> GLuint | `name`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glObjectPurgeableAPPLE

Arguments

:: MonadIO m |
=> GLenum | `objectType`.
-> GLuint | `name`.
-> GLenum | `option`.
-> m GLenum |

glObjectUnpurgeableAPPLE

Arguments

:: MonadIO m |
=> GLenum | `objectType`.
-> GLuint | `name`.
-> GLenum | `option`.
-> m GLenum |